using Microsoft.EntityFrameworkCore;

namespace TestWeb.Common;

public class AppDbContext(DbContextOptions<AppDbContext> options) : DbContext(options)
{
    public DbSet<User> Users
    {
        get; set;
    }
    public DbSet<Job> Jobs
    {
        get; set;
    }
    public DbSet<Note> Notes
    {
        get; set;
    }
    public DbSet<Vehicle> Vehicles
    {
        get; set;
    }

    protected override void OnModelCreating(ModelBuilder modelBuilder)
    {
        base.OnModelCreating(modelBuilder);
    }
}
