using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace TestWeb.Common;

public class User
{
    [Key]
    public int Id
    {
        get; private init;
    }
    public required string Username
    {
        get; set;
    }
    public required string Password
    {
        get; set;
    }
    public required string DisplayName
    {
        get; set;
    }
    public DateTime CreatedAtUtc { get; private init; } = DateTime.UtcNow;
}
