using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace TestWeb.Common;

public class Job
{
    [Key]
    public int Id
    {
        get; set;
    }
    public required string ClientName
    {
        get; set;
    }
    public required string Pickup
    {
        get; set;
    }
    public string? Dropoff
    {
        get; set;
    }
    public int VehicleId
    {
        get; set;
    }
    public DateTime CreatedAtUtc { get; private init; } = DateTime.UtcNow;
    public DateTime? LastUpdatedAtUtc
    {
        get; set;
    }
}
