using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace TestWeb.Common;

public class Note
{
    [Key]
    public int Id
    {
        get; private set;
    }
    public required string Content
    {
        get; set;
    }

    public DateTime CreatedAtUtc { get; private init; } = DateTime.UtcNow;
    public DateTime? LastUpdatedAtUtc
    {
        get; set;
    }
}
