using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace TestWeb.Common;

public class Vehicle
{
    [Key]
    public int Id
    {
        get; set;
    }
    public required string Make
    {
        get; set;
    }
    public required string Model
    {
        get; set;
    }
    public required int Year
    {
        get; set;
    }
    public DateTime CreatedAtUtc { get; private init; } = DateTime.UtcNow;
    public DateTime? LastUpdatedAtUtc
    {
        get; set;
    }
}
